<?xml version = '1.0' encoding = 'UTF-8'?>
<Entity class="oracle.dbtools.crest.model.design.logical.Entity" directorySegmentName="seg_0" id="258BB43F-2727-0F44-DAD4-31D378DB36E2" name="T_RT_FILIAL_TELEFONE">
<createdBy>Gustavo Padlipskas</createdBy>
<createdTime>2021-03-31 16:14:22 UTC</createdTime>
<ownerDesignName>Projeto_Logico_RioTec</ownerDesignName>
<engineerTo>
<item key="3B900023-A8F4-1D43-7275-0ABB8837388D" value="true"/>
</engineerTo>
<adequatelyNormalized>NO</adequatelyNormalized>
<expectedVolumes>0</expectedVolumes>
<fwdEngineeringStrategyName>Single Table</fwdEngineeringStrategyName>
<growthPercent>0</growthPercent>
<growthType>Year</growthType>
<maxVolumes>9999999</maxVolumes>
<minVolumes>0</minVolumes>
<normalForm>Third</normalForm>
<attributes itemClass="oracle.dbtools.crest.model.design.logical.Attribute">
<Attribute name="CD_EMPRESA" id="3D33489B-4080-AC4E-9C51-434318B62407">
<createdBy>logonrmlocal</createdBy>
<createdTime>2022-03-23 02:01:25 UTC</createdTime>
<comment><![CDATA[Esse atributo irá receber a chave primária da Filial da Rio Tec. Seu conteúdo será incremental e preenchido pela aplicação.]]></comment>
<generatorID>4B5DD014-0800-E1B5-D80D-0540284508EE</generatorID>
<ownerDesignName>Projeto_Logico_RioTec</ownerDesignName>
<engineerTo>
<item key="3B900023-A8F4-1D43-7275-0ABB8837388D" value="true"/>
</engineerTo>
<referedAttribute>396F4828-9347-DCCE-97BA-360A37611FDF</referedAttribute>
<useDomainConstraints>false</useDomainConstraints>
<use>1</use>
<logicalDatatype>LOGDT019</logicalDatatype>
<dataTypePrecision>5</dataTypePrecision>
<ownDataTypeParameters>,,</ownDataTypeParameters>
</Attribute>
<Attribute name="ID_TELEFONE" id="9EE1FCB7-1DE5-EFE3-B558-FB5E2E7986C2">
<createdBy>Gustavo Padlipskas</createdBy>
<createdTime>2021-03-31 16:14:22 UTC</createdTime>
<comment><![CDATA[Esse atributo irá receber a chave primária dos telefoes das Filiais Rio Tec. Esse conteúdo será preenchido automaticamente pela aplicação.]]></comment>
<commentInRDBMS><![CDATA[Esse atributo irá receber a chave primária dos telefoes das Filiais Rio Tec. Esse conteúdo será preenchido automaticamente pela aplicação.]]></commentInRDBMS>
<ownerDesignName>Projeto_Logico_RioTec</ownerDesignName>
<engineerTo>
<item key="3B900023-A8F4-1D43-7275-0ABB8837388D" value="true"/>
</engineerTo>
<useDomainConstraints>false</useDomainConstraints>
<use>1</use>
<logicalDatatype>LOGDT019</logicalDatatype>
<dataTypePrecision>3</dataTypePrecision>
<ownDataTypeParameters>,3,</ownDataTypeParameters>
</Attribute>
<Attribute name="NR_DDI" id="5E7CB2FF-8032-34E6-8B9A-3F893A8FC734">
<createdBy>Gustavo Padlipskas</createdBy>
<createdTime>2021-03-31 16:14:22 UTC</createdTime>
<comment><![CDATA[Esse atributo irá recebero número do DDI do telefone da filial Rio Tec. Seu conteúdo é obrigatório e deverá ser cadastrado apenas número de DDI válido.]]></comment>
<commentInRDBMS><![CDATA[Esse atributo irá recebero número do DDI do telefone da filial Rio Tec. Seu conteúdo é obrigatório e deverá ser cadastrado apenas número de DDI válido.]]></commentInRDBMS>
<ownerDesignName>Projeto_Logico_RioTec</ownerDesignName>
<engineerTo>
<item key="3B900023-A8F4-1D43-7275-0ABB8837388D" value="true"/>
</engineerTo>
<useDomainConstraints>false</useDomainConstraints>
<use>1</use>
<logicalDatatype>LOGDT019</logicalDatatype>
<dataTypePrecision>3</dataTypePrecision>
<ownDataTypeParameters>,3,</ownDataTypeParameters>
</Attribute>
<Attribute name="NR_DDD" id="391913E8-D91A-47DF-A194-20175BBA4B76">
<createdBy>Gustavo Padlipskas</createdBy>
<createdTime>2021-03-31 16:14:22 UTC</createdTime>
<comment><![CDATA[Esse atributo irá recebero número do DDD do telefone da Filial Rio Tec. Seu conteúdo é obrigatório e deverá ser cadastrado apenas número de DDD válido.]]></comment>
<commentInRDBMS><![CDATA[Esse atributo irá recebero número do DDD do telefone da Filial Rio Tec. Seu conteúdo é obrigatório e deverá ser cadastrado apenas número de DDD válido.]]></commentInRDBMS>
<ownerDesignName>Projeto_Logico_RioTec</ownerDesignName>
<engineerTo>
<item key="3B900023-A8F4-1D43-7275-0ABB8837388D" value="true"/>
</engineerTo>
<useDomainConstraints>false</useDomainConstraints>
<use>1</use>
<logicalDatatype>LOGDT019</logicalDatatype>
<dataTypePrecision>3</dataTypePrecision>
<ownDataTypeParameters>,3,</ownDataTypeParameters>
</Attribute>
<Attribute name="NR_TELEFONE" id="4E119703-E56F-A163-7958-F4F84C8EFF9D">
<createdBy>Gustavo Padlipskas</createdBy>
<createdTime>2021-03-31 16:14:22 UTC</createdTime>
<comment><![CDATA[Esse atributo irá recebero número do telefone da Filial Rio Tec. Seu conteúdo é obrigatório e deverá ser cadastrado apenas número de telefone válido.]]></comment>
<commentInRDBMS><![CDATA[Esse atributo irá recebero número do telefone da Filial Rio Tec. Seu conteúdo é obrigatório e deverá ser cadastrado apenas número de telefone válido.]]></commentInRDBMS>
<ownerDesignName>Projeto_Logico_RioTec</ownerDesignName>
<engineerTo>
<item key="3B900023-A8F4-1D43-7275-0ABB8837388D" value="true"/>
</engineerTo>
<nullsAllowed>true</nullsAllowed>
<useDomainConstraints>false</useDomainConstraints>
<use>1</use>
<logicalDatatype>LOGDT019</logicalDatatype>
<dataTypePrecision>10</dataTypePrecision>
<ownDataTypeParameters>,10,</ownDataTypeParameters>
</Attribute>
</attributes>
<identifiers itemClass="oracle.dbtools.crest.model.design.logical.CandidateKey">
<identifier id="7F0BD9DE-5CEF-CCA7-73C2-720E284EB194" name="PK_RT_FILIAL_TELEFONE">
<createdBy>Gustavo Padlipskas</createdBy>
<createdTime>2021-03-31 16:14:22 UTC</createdTime>
<ownerDesignName>Projeto_Logico_RioTec</ownerDesignName>
<engineerTo>
<item key="3B900023-A8F4-1D43-7275-0ABB8837388D" value="true"/>
</engineerTo>
<pk>true</pk>
<newElementsIDs>9EE1FCB7-1DE5-EFE3-B558-FB5E2E7986C2,4B5DD014-0800-E1B5-D80D-0540284508EE</newElementsIDs>
<usedAttributes>
<attributeRef>9EE1FCB7-1DE5-EFE3-B558-FB5E2E7986C2</attributeRef>
<attributeRef>3D33489B-4080-AC4E-9C51-434318B62407</attributeRef>
</usedAttributes>
</identifier>
</identifiers>
</Entity>
